## org.apache.solr.common.cloud
Class Replica

    java.lang.Object
      org.apache.solr.common.cloud.ZkNodeProps
          org.apache.solr.common.cloud.Replica

All Implemented Interfaces:
  org.noggit.JSONWriter.Writable

    public class Replica

extends ZkNodeProps

Field Summary

Fields inherited from class org.apache.solr.common.cloud.ZkNodeProps
`propMap`

Constructor Summary
`Replica(String name, Map<String,Object> propMap)`

Method Summary
`String` `getName()`
`String` `getNodeName()` The name of the node this replica resides on
`String` `toString()`

Methods inherited from class org.apache.solr.common.cloud.ZkNodeProps
`containsKey, fromKeyVals, get, getInt, getProperties, getStr, getStr, keySet, load, makeMap, shallowCopy, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Replica

    public Replica(String name,
                   Map<String,Object> propMap)

Method Detail

### getName

    public String getName()

### getNodeName

    public String getNodeName()

  The name of the node this replica resides on

### toString

    public String toString()

  Overrides:
    `toString` in class `ZkNodeProps`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.